#ifndef __ANIMATE_H__
#define __ANIMATE_H__


typedef struct ANIMATE
{
	BITMAP *bmp;
	INT16 x, y;
	INT8 x_dir, y_dir;
	INT16 length;
	struct ANIMATE *next;
} ANIMATE;

extern ANIMATE *animations;

void animate_add_times(INT8 value, INT16 x, INT16 y);
void animate_draw(BITMAP *bmp);
void animate_init(void);
void animate_move(void);


#endif